Page MenuHomeFreeBSD

Add proper UEFI El Torito support to makefs.
ClosedPublic

Authored by benno on Mar 23 2018, 7:56 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Feb 4, 12:09 PM
Unknown Object (File)
Sat, Feb 4, 12:08 PM
Unknown Object (File)
Sat, Feb 4, 12:04 PM
Unknown Object (File)
Sat, Feb 4, 11:58 AM
Unknown Object (File)
Wed, Feb 1, 5:25 PM
Unknown Object (File)
Mon, Jan 30, 5:11 AM
Unknown Object (File)
Jan 5 2023, 12:21 PM
Unknown Object (File)
Jan 1 2023, 1:53 AM
Subscribers

Details

Summary

We've been marking our UEFI boot image as i386 which, while it seems to work, is not technically correct. This patch adds the correct UEFI system type and marks our amd64 images' EFI boot image correctly.

Test Plan

Test booted the resulting ISO image successfully.

Before:

$ xorriso -indev ../bootonly.iso -report_el_torito plain -report_system_area plain
xorriso 1.4.8 : RockRidge filesystem manipulator, libburnia project.

[...]

El Torito catalog  : 19  1
El Torito images   :   N  Pltf  B   Emul  Ld_seg  Hdpt  Ldsiz         LBA
El Torito boot img :   1  BIOS  y   none  0x0000  0x00      4          20
El Torito boot img :   2  BIOS  y   none  0x0000  0x00   1600          24

[...]

After:

$ xorriso -indev ~/freebsd/bootonly.iso -report_el_torito plain -report_system_area plain
xorriso 1.4.8 : RockRidge filesystem manipulator, libburnia project.

[...]

El Torito catalog  : 19  1
El Torito images   :   N  Pltf  B   Emul  Ld_seg  Hdpt  Ldsiz         LBA
El Torito boot img :   1  BIOS  y   none  0x0000  0x00      4          20
El Torito boot img :   2  UEFI  y   none  0x0000  0x00   1600          24

[...]

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

benno edited the test plan for this revision. (Show Details)

pure comic sans gold.

This revision is now accepted and ready to land.Mar 23 2018, 8:18 PM
usr.sbin/makefs/cd9660/cd9660_eltorito.c
107 ↗(On Diff #40643)

Note that we call the partition type "EFI" in mkimg, see rS276893.

Does El-Torito already refer to this as UEFI? Either way we might want to accept both variants?

Add efi as a synonym for uefi.

This revision now requires review to proceed.Mar 23 2018, 8:27 PM
imp requested changes to this revision.Mar 23 2018, 8:29 PM
imp added inline comments.
release/amd64/mkisoimages.sh
41 ↗(On Diff #40645)

s/uefi/efi/ here.

usr.sbin/makefs/cd9660/cd9660_eltorito.c
112 ↗(On Diff #40645)

my turn to quibble. All the FreeBSD utilities but one prefer the efi name over the uefi. we should do that here and fix "above"

This revision now requires changes to proceed.Mar 23 2018, 8:29 PM

Prefer efi to uefi and properly sort system names in error message.

This revision is now accepted and ready to land.Mar 23 2018, 8:37 PM
This revision was automatically updated to reflect the committed changes.